Bärneruhr
=========

Du willst Bärneruhr auf deiner Website verwenden? Dank des jQuery-Plugins geht das so einfach, dass es sogar deine Grossmutter tun könnte!

1. Benötigte Dateien einbinden
------------------------------
* Binde folgende CSS-Datei im HTML-Dokument ein:
	* uhr.css
* Binde zusätzlich mindestens eine der folgenden CSS-Dateien im HTML ein, je nach dem, welche Farben deine Uhr unterstützen soll:
	* uhr-black.css
	* uhr-blue.css
	* uhr-green.css
	* uhr-red.css
	* uhr-white.css
	* uhr-pink.css

Beim Einbinden muss das attribut `data-class` angegeben werden, welches die CSS-Klasse des Themes definiert. Optional kann mit `data-name` ein im Dropdown anzuzeigender Name angegeben werden. Beispiel:

	<link rel="stylesheet" type="text/css" href="uhr-black.css" data-class="black" data-name="Schwarz" />

* Binde nach den CSS-Dateien (wichtig!) folgende Javascript-Dateien im HTML-Dokument ein:
	* jquery-2.1.0.min.js (Falls nicht bereits vorhanden)
	* jquery-ui-1.10.4.custom.min.js (Falls nicht bereits vorhanden)
		* Von jquery-ui werden die Komponenten 'core' und 'widget' benötigt.
	* jquery-cookie-1.4.0.js (Falls nicht bereits vorhanden)
	* uhr.js
* Binde mindestens eine der folgenden Javascript-Dateien im HTML ein, je nach dem, welche Sprachen deine Uhr unterstützen soll:
	* uhr-de_CH.js
	* uhr-de_CH_genau.js
	* uhr-de.js
	* uhr-en.js
	* uhr-fr.js
	* uhr-it.js

`uhr-de_CH_genau.js` ist eine Variante von Berndeutsch, bei der zur vollen Stunde zusätlich das Wort "genau" angezeigt wird (also z.B. "ES ISCH GENAU DRÜ").

2. Uhr-Element im HTML-Dokument einfügen
----------------------------------------
Erstelle ein leeres `<div>` mit einer ID:

	<div id="uhrcontainer"></div>

3. Uhr per Javascript konfigurieren
-----------------------------------
Initialisiere die Uhr mit einer einzigen Zeile Javascript:

	jQuery('#uhrcontainer').uhr();

Damit wird eine Uhr in der Standardkonfiguration erzeugt. Das heisst:

* Breite ist 100% des Eltenelements
* Farbe ist diejenige des ersten eingebundenen Theme-Stylesheets.
* Sprache ist Bärndütsch
* Die Uhr ist eingeschaltet
* Die Bedienelemente werden angezeigt

Wie du diese Optionen ändern kannst, verrät der nächte Abschnitt.

Es kann natürlich auch eine Collection von Elementen übergeben werden. Mit

	jQuery('div').uhr();

würde also jedes `<div>`-Element der Seite in eine Uhr umgewandelt.

4. Weitere Optionen
-------------------
Der uhr()-Methode kann ein Options-Objekt mitgegeben werden:

	jQuery('#uhrcontainer').uhr({
		status: 'on',      // 'on' (default) oder 'off'
		theme: 'black',    // 'black' (default), 'red', 'blue', 'green' oder 'white'
		language: 'de_CH', // 'de_CH' (default), 'de' oder 'en' (je nach eingebundenen Sprachdateien)
		width: '100%',     // eine CSS-Grössenangabe (default: 100%)
		force: false,      // false (default): Falls ein Cookie im Browser besteht, werden dessen Konfigurationswerte übernommen;
		                   // true: immer die angegebene Konfiguration verwenden
		controls: true     // true (default): Die Bedienelemente (Ein-/Ausschalter, Theme- und Sprachwähler) werden angezeigt
		                   // false: Die Bedienelemente werden nicht angezeigt
	});

5. Sonderfunktionen
-------------------
Es gibt noch einen zusätzlichen Konfigurationsparameter. Mit

		{
			time: new Date()
		}
kann die Uhr auf eine fixe Zeit eingestellt werden. Sie bleibt dann statisch und aktualisiert sich nicht, sondern zeigt immer diese Zeit an. Beim Klick auf den On/Off-Schalter oder beim Wechsel der Sprache wird dies allerdings rückgängig gemacht und die Uhr nimmt das Standardverhalten mit der aktuellen Systemzeit an.

Die Zeit kann auch über einen Methodenaufruf dynamisch eingestellt werden:

		jQuery('#uhrcontainer').uhr("time", new Date());

Viel Spass!

A. Lizenzbestimmungen
=====================
This program is free software: you can redistribute it and/or modify  
it under the terms of the GNU General Public License as published by  
the Free Software Foundation, either version 3 of the License, or  
(at your option) any later version.

This program is distributed in the hope that it will be useful,  
but WITHOUT ANY WARRANTY; without even the implied warranty of  
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
GNU General Public License for more details.

You should have received a copy of the GNU General Public License  
along with this program.  If not, see <http://www.gnu.org/licenses/>.
